Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k
New Member

Create logrot error after upgrade to LMS 3.0.1

I used LMS 3.0(Windows), I can create logrot. But after I upgrade to LMS 3.0.1, I can't create logrot.

11 REPLIES
Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

It looks like your Perl executable may be bad. What is the byte size of NMSROOT\bin\perl.exe? What is the output of NMSROOT\bin\perl -V?

New Member

Re: Create logrot error after upgrade to LMS 3.0.1

The size of NMSROOT\bin\perl.exe is 21 KB. Please see attached For the output of NMSROOT\bin\perl -V

New Member

Re: Create logrot error after upgrade to LMS 3.0.1

The size of NMSROOT\bin\perl.exe is 21 KB. Please see attached For the output of NMSROOT\bin\perl -V

Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

Try unsetting PERL5LIB before running the logrot.pl command:

SET PERL5LIB=

F:\PROGRA~1\CSCOpx\bin\perl.exe F:\PROGRA~1\CSCOpx\bin\logrot.pl -c

Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

Also, check the size of logrot.pl. It should be 38,777 bytes in LMS 3.0.1.

New Member

Re: Create logrot error after upgrade to LMS 3.0.1

The size of logrot.pl is 0 KB. After SET PERL5LIB, i still can't run logrot

Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

That's why. Your logrot.pl has been corrupted. You need to either restore this file from a file system backup, or reinstall Common Services.

New Member

Re: Create logrot error after upgrade to LMS 3.0.1

How to reinstall Common Service? I try to uninstall but it can't. I try to download CommonService, but I can't find.

Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

Insert the LMS DVD, then choose Common Services to reinstall.

New Member

Re: Create logrot error after upgrade to LMS 3.0.1

I want to reinstall CS only. If I click Next, is it will reinstall all? Please see attached

Cisco Employee

Re: Create logrot error after upgrade to LMS 3.0.1

This is the LMS 3.0.1 update. This is not sufficient. You need to reinstall CS 3.0. That will not be easy if you have already applied LMS 3.0.1. You should work with TAC to reinstall Common Services, or reinstall all of LMS from scratch, then restore a current data backup.

183
Views
0
Helpful
11
Replies
CreatePlease to create content